Change in ...osmo-msc[master]: manuals: Add script to update vty/counter documentation from docker

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

daniel gerrit-no-reply at lists.osmocom.org
Mon Jun 17 15:08:56 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-msc/+/14494


Change subject: manuals: Add script to update vty/counter documentation from docker
......................................................................

manuals: Add script to update vty/counter documentation from docker

Change-Id: I3f5573f81460b40d4606fbcf0febcfd078a7bdca
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-msc refs/changes/94/14494/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 2ce6a0a..3b50d4e 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmomsc-usermanual.adoc \
     osmomsc-usermanual-docinfo.xml \
     osmomsc-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     images \
     vty
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..55cda5c
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_MSC_BRANCH=$COMMIT ./regen_doc.sh osmo-msc 4254 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/msc_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-msc/+/14494
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-msc
Gerrit-Branch: master
Gerrit-Change-Id: I3f5573f81460b40d4606fbcf0febcfd078a7bdca
Gerrit-Change-Number: 14494
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190617/3054765c/attachment.htm>


More information about the gerrit-log mailing list